tigase.server.xmppclient

## Class RegistrationThrottlingProcessor

- java.lang.Object
- - tigase.server.xmppclient.RegistrationThrottlingProcessor

- All Implemented Interfaces:
    XMPPIOProcessor

      public class RegistrationThrottlingProcessor
      extends Object
      implements XMPPIOProcessor

  Created by andrzej on 16.11.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `RegistrationThrottlingProcessor.CleanUpTask`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistrationThrottlingProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkLimits(XMPPIOService service)`
    `protected boolean` | `checkLimits(XMPPIOService service, Packet packet)`
    `protected void` | `cleanUp(List<Long> registrationTimes)`
    `protected void` | `cleanUpFromTimer()`
    `String` | `getId()` Returns identifier of processor
    `void` | `getStatistics(StatisticsList list)` Returns statistics generated by this processor
    `void` | `packetsSent(XMPPIOService service)` Method is called when all waiting data was written to socket.
    `void` | `processCommand(XMPPIOService service, Packet packet)` Process command execution which may be sent from other component and should be processed by processor
    `boolean` | `processIncoming(XMPPIOService service, Packet packet)` Process packets read from socket as they are sent to SessionManager.
    `boolean` | `processOutgoing(XMPPIOService service, Packet packet)` Process outgoing packets as they are added to XMPPIOService outgoing packets queue.
    `protected void` | `scheduleCleanUpIfNeeded()`
    `boolean` | `serviceStopped(XMPPIOService service, boolean streamClosed)` Method called when XMPPIOService is closed.
    `void` | `setConnectionManager(ConnectionManager connectionManager)` Sets connection manager instance for which this XMPPIOProcessor is used
    `void` | `setProperties(Map<String,Object> props)` Method used for setting properties
    `void` | `streamError(XMPPIOService service, StreamError streamError)` Method called when XMPP stream error is about to be sent
    `Element[]` | `supStreamFeatures(XMPPIOService service)` Returns array of features added by this processor

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegistrationThrottlingProcessor

          public RegistrationThrottlingProcessor()

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `XMPPIOProcessor`
      Returns identifier of processor
      Specified by:
        `getId` in interface `XMPPIOProcessor`

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Description copied from interface: `XMPPIOProcessor`
      Returns statistics generated by this processor
      Specified by:
        `getStatistics` in interface `XMPPIOProcessor`

    - #### supStreamFeatures

          public Element[] supStreamFeatures(XMPPIOService service)

      Description copied from interface: `XMPPIOProcessor`
      Returns array of features added by this processor
      Specified by:
        `supStreamFeatures` in interface `XMPPIOProcessor`

    - #### processIncoming

          public boolean processIncoming(XMPPIOService service,
                                         Packet packet)

      Description copied from interface: `XMPPIOProcessor`
      Process packets read from socket as they are sent to SessionManager.
      Specified by:
        `processIncoming` in interface `XMPPIOProcessor`
      Returns:
        true if packet should not be forwarded

    - #### processOutgoing

          public boolean processOutgoing(XMPPIOService service,
                                         Packet packet)

      Description copied from interface: `XMPPIOProcessor`
      Process outgoing packets as they are added to XMPPIOService outgoing packets queue.
      Specified by:
        `processOutgoing` in interface `XMPPIOProcessor`
      Returns:
        true if packet should be removed

    - #### packetsSent

          public void packetsSent(XMPPIOService service)
                           throws IOException

      Description copied from interface: `XMPPIOProcessor`
      Method is called when all waiting data was written to socket.
      Specified by:
        `packetsSent` in interface `XMPPIOProcessor`
      Throws:
        `IOException`

    - #### processCommand

          public void processCommand(XMPPIOService service,
                                     Packet packet)

      Description copied from interface: `XMPPIOProcessor`
      Process command execution which may be sent from other component and should be processed by processor
      Specified by:
        `processCommand` in interface `XMPPIOProcessor`

    - #### serviceStopped

          public boolean serviceStopped(XMPPIOService service,
                                        boolean streamClosed)

      Description copied from interface: `XMPPIOProcessor`
      Method called when XMPPIOService is closed.
      Specified by:
        `serviceStopped` in interface `XMPPIOProcessor`
      Returns:
        true if connecton manager should not be notified about stopping of this service

    - #### setConnectionManager

          public void setConnectionManager(ConnectionManager connectionManager)

      Description copied from interface: `XMPPIOProcessor`
      Sets connection manager instance for which this XMPPIOProcessor is used
      Specified by:
        `setConnectionManager` in interface `XMPPIOProcessor`

    - #### setProperties

          public void setProperties(Map<String,Object> props)

      Description copied from interface: `XMPPIOProcessor`
      Method used for setting properties
      Specified by:
        `setProperties` in interface `XMPPIOProcessor`

    - #### streamError

          public void streamError(XMPPIOService service,
                                  StreamError streamError)

      Description copied from interface: `XMPPIOProcessor`
      Method called when XMPP stream error is about to be sent
      Specified by:
        `streamError` in interface `XMPPIOProcessor`

    - #### cleanUpFromTimer

          protected void cleanUpFromTimer()

    - #### checkLimits

          protected boolean checkLimits(XMPPIOService service,
                                        Packet packet)

    - #### checkLimits

          protected boolean checkLimits(XMPPIOService service)

    - #### cleanUp

          protected void cleanUp(List<Long> registrationTimes)

    - #### scheduleCleanUpIfNeeded

          protected void scheduleCleanUpIfNeeded()

Copyright © 2022 "Tigase, Inc.". All rights reserved.